import request from "@/api/request";

export default {
 async water(data){
    return request({
      url: "/promotion/water",
      method: "GET",
      data,
      needToken: true
    })
  },


  // 我的团队
  async team(data){
    return request({
      url: "/promotion/team",
      method: "GET",
      data,
      needToken: true
    })
  },


  // 提现成功
  async withdrawSuccess(data){
    return request({
      url: "/promotion/withdrawSuccess",
      method: "POST",
      data,
      needToken: true,
      showLoading: true,
    })
  },

  // 提现
  async withdraw(data){
    return request({
      url: "/promotion/withdraw",
      method: "POST",
      data,
      needToken: true,
      showLoading: true,
    })
  },

// 获取推广统计
  async statistics(data){
    return request({
      url: "/promotion/statistics",
      method: "GET",
      data,
      needToken: true
    })
  },

  async qrCode(data){
    return request({
      url: "/promotion/qrCode",
      method: "GET",
      data,
      needToken: true
    })
  }
}